### Type parameters

- #### R

### Hierarchy

- ReadableStream

## Index

### Properties

- locked

### Methods

- cancel
- getReader
- pipeThrough
- pipeTo
- tee

## Properties

### locked

locked: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11896

## Methods

### cancel

- cancel(reason?: any): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11897

  #### Parameters

  - ##### Optional reason: any

  #### Returns Promise<void>

### getReader

- getReader(options: object): ReadableStreamBYOBReader
- getReader(): ReadableStreamDefaultReader<R>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11898

  #### Parameters

  - ##### options: object

    - ##### mode: "byob"

  #### Returns ReadableStreamBYOBReader

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11899

  #### Returns ReadableStreamDefaultReader<R>

### pipeThrough

- pipeThrough<T>(__namedParameters: object, options?: PipeOptions): ReadableStream<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11900

  #### Type parameters

  - #### T

  #### Parameters

  - ##### __namedParameters: object

    - ##### readable: ReadableStream<T>

    - ##### writable: WritableStream<R>

  - ##### Optional options: PipeOptions

  #### Returns ReadableStream<T>

### pipeTo

- pipeTo(dest: WritableStream<R>, options?: PipeOptions): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11901

  #### Parameters

  - ##### dest: WritableStream<R>

  - ##### Optional options: PipeOptions

  #### Returns Promise<void>

### tee

- tee(): [ReadableStream<R>, ReadableStream<R>]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11902

  #### Returns [ReadableStream<R>, ReadableStream<R>]

Generated using TypeDoc